Bug 1304694 - setroubleshoot segfaults in libglib-2.0.so.0 when using some LANG or LC_ALL settings
setroubleshoot segfaults in libglib-2.0.so.0 when using some LANG or LC_ALL s...
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glib2 (Show other bugs)
6.8
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Colin Walters
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 06:39 EST by Milos Malik
Modified: 2017-09-14 08:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2016-02-04 06:39:19 EST
Description of problem:
Please read comment#30 and comment#31 in https://bugzilla.redhat.com/show_bug.cgi?id=814601.

Version-Release number of selected component (if applicable):
glib2-2.28.8-5.el6.x86_64

How reproducible:
always

Steps to Reproduce:
$ cat > reproducer.py <<EOF
import gtk
import gtk.glade
 
builder = gtk.Builder()
builder.set_translation_domain("setroubleshoot")
builder.add_from_file("/usr/share/setroubleshoot/gui/browser.glade") 
EOF
$ LANG=zh_CN python reproducer.py
reproducer.py:6: GtkWarning: Failed to set text from markup due to error parsing markup: 第 6 行第 2 个字符出错:无效的 UTF-8 编码的文本名称 -“��Ȩ (c) 2010 
Thomas Liu <tliu@redhat.com>
M��ir��n Duffy <duffy@redhat.com>
Daniel Walsh <dwalsh@redhat.com>
John Dennis <jdennis@redhat.com>
”无效
  builder.add_from_file("/usr/share/setroubleshoot/gui/browser.glade")
Segmentation fault
$

Actual results:
 * segfault

Expected results:
 * no segfaults
Comment 2 Milos Malik 2016-02-09 05:38:23 EST
Increasing the priority and severity because system-config-selinux (both old version 2.0.83-24.el6 and new version 2.0.83-27.el6) segfaults when a common user runs it in german (LANG=de_DE) or french (LANG=fr_FR) language during his / her X session.
Comment 3 Milos Malik 2016-02-09 05:54:58 EST
# dmesg | tail -n 5
/usr/share/syst[7195]: segfault at a297000 ip 0000003342645b90 sp 00007ffd1e808570 error 4 in libglib-2.0.so.0.2800.8[3342600000+115000]
/usr/share/syst[7439]: segfault at a14f000 ip 0000003342645b90 sp 00007ffdf2c8a2a0 error 4 in libglib-2.0.so.0.2800.8[3342600000+115000]
/usr/share/syst[7466]: segfault at 9a32000 ip 0000003342645b90 sp 00007ffc18d3d770 error 4 in libglib-2.0.so.0.2800.8[3342600000+115000]
/usr/share/syst[8868]: segfault at a1b9000 ip 0000003342645b90 sp 00007fffb323f280 error 4 in libglib-2.0.so.0.2800.8[3342600000+115000]
/usr/share/syst[9338]: segfault at a6a6000 ip 0000003342645b90 sp 00007ffd65e68b00 error 4 in libglib-2.0.so.0.2800.8[3342600000+115000]
# file /var/log/core/core.9338.1455014230.dump 
/var/log/core/core.9338.1455014230.dump: ELF 64-bit LSB core file x86-64, version 1 (SYSV), SVR4-style, from '/usr/bin/python -Es /usr/share/system-config-selinux/system-config-selinux.py', real uid: 0, effective uid: 0, real gid: 0, effective gid: 0, execfn: '/usr/share/system-config-selinux/system-config-selinux.py', platform: 'x86_64'
#
Comment 4 Milos Malik 2016-02-10 03:02:16 EST
$ LANG=de_DE system-config-selinux segfaults when glib2-2.28.8-5.el6.x86_64 is installed:
/usr/share/syst[5445]: segfault at aea6000 ip 0000003342645b90 sp 00007fff3ee93920 error 4 in libglib-2.0.so.0.2800.8[3342600000+115000]
/usr/share/syst[5510]: segfault at 9b3d000 ip 0000003342645b90 sp 00007ffd67420be0 error 4 in libglib-2.0.so.0.2800.8[3342600000+115000]

The same situation after downgrade to glib2-2.28.8-4.el6.x86_64:
/usr/share/syst[6052]: segfault at acba000 ip 00007fa75c614b90 sp 00007fff15953d00 error 4 in libglib-2.0.so.0.2800.8[7fa75c5cf000+115000]

The same situation after downgrade to glib2-2.28.8-3.el6.x86_64:
/usr/share/syst[6155]: segfault at abd0000 ip 00007fc261ef8b90 sp 00007ffc4065e460 error 4 in libglib-2.0.so.0.2800.8[7fc261eb3000+115000]

Note You need to log in before you can comment on or make changes to this bug.